Bug 1007870 (CVE-2016-8705)

Summary: VUL-0: CVE-2016-8705: memcached: Server update remote code execution
Product: [Novell Products] SUSE Security Incidents Reporter: Sebastian Krahmer <krahmer>
Component: IncidentsAssignee: Alberto Planas Dominguez <aplanas>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: aplanas, meissner, security-team, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/174307/
Whiteboard: CVSSv2:SUSE:CVE-2016-8705:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv2:RedHat:CVE-2016-8705:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv2:NVD:CVE-2016-8705:7.5:(AV:N/AC:L/Au:N/C:P/I:P/A:P) CVSSv3:NVD:CVE-2016-8705:9.8:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H) CVSSv3:RedHat:CVE-2016-8705:9.8:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H) CVSSv3:RedHat:CVE-2016-8705:7.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H) CVSSv3:RedHat:CVE-2017-9951:7.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H) CVSSv3:SUSE:CVE-2016-8705:9.1:(AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:H)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Sebastian Krahmer 2016-11-01 10:33:42 UTC
Via oss-sec:

CVE-2016-8705 - Memcached server update remote code execution vulnerability

Multiple integer overflows in process_bin_update function which is
responsible for processing multiple commands of Memcached binary
protocol can be abused to cause heap overflow and lead to remote code
execution.

http://www.talosintelligence.com/reports/TALOS-2016-0220/


References:
https://bugzilla.redhat.com/show_bug.cgi?id=1390511
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-8705
http://seclists.org/oss-sec/2016/q4/292
http://blog.talosintel.com/2016/10/memcached-vulnerabilities.html
Comment 3 Bernhard Wiedemann 2016-11-10 17:00:33 UTC
This is an autogenerated message for OBS integration:
This bug (1007870) was mentioned in
https://build.opensuse.org/request/show/439548 Factory / memcached
Comment 4 Alberto Planas Dominguez 2016-11-15 12:35:52 UTC
Closed as bsc#1007869
Comment 5 Swamp Workflow Management 2016-11-17 19:12:55 UTC
openSUSE-SU-2016:2839-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1007869,1007870,1007871
CVE References: CVE-2016-8704,CVE-2016-8705,CVE-2016-8706
Sources used:
openSUSE Leap 42.2 (src):    memcached-1.4.33-7.1
Comment 6 Swamp Workflow Management 2016-11-17 19:15:08 UTC
openSUSE-SU-2016:2841-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1007869,1007870,1007871
CVE References: CVE-2016-8704,CVE-2016-8705,CVE-2016-8706
Sources used:
openSUSE Leap 42.1 (src):    memcached-1.4.22-6.1
openSUSE 13.2 (src):    memcached-1.4.20-2.3.1
Comment 7 Swamp Workflow Management 2018-03-22 16:28:16 UTC
SUSE-SU-2018:0778-1: An update that fixes 9 vulnerabilities is now available.

Category: security (important)
Bug References: 1007869,1007870,1007871,1056865,798458,817781,857188,858676,858677
CVE References: CVE-2011-4971,CVE-2013-0179,CVE-2013-7239,CVE-2013-7290,CVE-2013-7291,CVE-2016-8704,CVE-2016-8705,CVE-2016-8706,CVE-2017-9951
Sources used:
SUSE OpenStack Cloud 7 (src):    memcached-1.4.39-3.3.2
SUSE Enterprise Storage 4 (src):    memcached-1.4.39-3.3.2
Comment 8 Swamp Workflow Management 2018-03-26 13:10:02 UTC
SUSE-SU-2018:0807-1: An update that fixes 9 vulnerabilities is now available.

Category: security (important)
Bug References: 1007869,1007870,1007871,1056865,798458,817781,857188,858676,858677
CVE References: CVE-2011-4971,CVE-2013-0179,CVE-2013-7239,CVE-2013-7290,CVE-2013-7291,CVE-2016-8704,CVE-2016-8705,CVE-2016-8706,CVE-2017-9951
Sources used:
SUSE OpenStack Cloud 6 (src):    memcached-1.4.39-3.3.1
Comment 10 Swamp Workflow Management 2018-06-08 13:08:23 UTC
SUSE-SU-2018:1601-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1007870,1056865
CVE References: CVE-2016-8705,CVE-2017-9951
Sources used:
SUSE Studio Onsite Runner 1.3 (src):    memcached-1.2.6-5.17.4.1
SUSE Studio Onsite 1.3 (src):    memcached-1.2.6-5.17.4.1
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    memcached-1.2.6-5.17.4.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    memcached-1.2.6-5.17.4.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    memcached-1.2.6-5.17.4.1